commit:     2010f6d57e8d9a69b9f0bdf1b4e2039aee3934e2
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 09:05:37 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 10:55:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2010f6d5

kde-frameworks/kdelibs4support: 5.73.0 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-frameworks/kdelibs4support/Manifest            |  1 +
 .../kdelibs4support/kdelibs4support-5.73.0.ebuild  | 96 ++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/kde-frameworks/kdelibs4support/Manifest 
b/kde-frameworks/kdelibs4support/Manifest
index d5ba40fc744..13675629762 100644
--- a/kde-frameworks/kdelibs4support/Manifest
+++ b/kde-frameworks/kdelibs4support/Manifest
@@ -1,2 +1,3 @@
 DIST kdelibs4support-5.70.0.tar.xz 3511172 BLAKE2B 
fc3f35cc4c039761fe928945dcc9b424e045c60f6a73eec0baa61b6d82c06c79d133f54d815715b07b5699dc354041cd19dd22866d0f2d9d9788a94f9f79d236
 SHA512 
c736a114ddc654a8e5628b7a24b0666fe1469f9abd5a20d238794a11daa2c9769e1bd9afaa8804b99665981b5ea418706a24226586a3a58695de3164856d9aba
 DIST kdelibs4support-5.72.0.tar.xz 3533588 BLAKE2B 
a59142f593397272d4d49b7852263ed63bbf10dda1657196cda97eb7b0d856ae3940e471e5c6b1933d09a0da161d39b9ab8527d0299d026b530a669189bbf67a
 SHA512 
00011144e62d188b686742b0f22ea8f68ea81dcec7d49b52cf0f9c0b13119f46f30185fda684f2e8e4ce1e8805d3eaf39d7b635915c2255a8a23039cc41b95f6
+DIST kdelibs4support-5.73.0.tar.xz 3533356 BLAKE2B 
4fa6c47210104b794478a9cd7ad16c036924ff05abcfcaea10ddc2e3a8496794b6ebb06de1f48906c51e9c94d3e8a144e00053fdc386969b8877f09027593e34
 SHA512 
acbcd46606b695a82480561082e9e949e5dd980859c2bc59a2c459b3ecc38d9fd1f05e9d05300d88867490759a4ba7cf0f04dedc1032a6f59ddabfa7ed041fea

diff --git a/kde-frameworks/kdelibs4support/kdelibs4support-5.73.0.ebuild 
b/kde-frameworks/kdelibs4support/kdelibs4support-5.73.0.ebuild
new file mode 100644
index 00000000000..28f7a59b31e
--- /dev/null
+++ b/kde-frameworks/kdelibs4support/kdelibs4support-5.73.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.14.2
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Framework easing the development transition from KDELibs 4 to KF 
5"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="libressl X"
+
+BDEPEND="
+       dev-lang/perl
+       dev-perl/URI
+"
+COMMON_DEPEND="
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtgui-${QTMIN}:5
+       >=dev-qt/qtnetwork-${QTMIN}:5[ssl]
+       >=dev-qt/qtprintsupport-${QTMIN}:5
+       >=dev-qt/qtsvg-${QTMIN}:5
+       >=dev-qt/qttest-${QTMIN}:5
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       =kde-frameworks/kauth-${PVCUT}*:5
+       =kde-frameworks/kcodecs-${PVCUT}*:5
+       =kde-frameworks/kcompletion-${PVCUT}*:5
+       =kde-frameworks/kconfig-${PVCUT}*:5
+       =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+       =kde-frameworks/kcoreaddons-${PVCUT}*:5
+       =kde-frameworks/kcrash-${PVCUT}*:5
+       =kde-frameworks/kdbusaddons-${PVCUT}*:5
+       >=kde-frameworks/kded-${PVCUT}:5
+       =kde-frameworks/kdesignerplugin-${PVCUT}*:5
+       =kde-frameworks/kdoctools-${PVCUT}*:5
+       =kde-frameworks/kemoticons-${PVCUT}*:5
+       =kde-frameworks/kglobalaccel-${PVCUT}*:5
+       =kde-frameworks/kguiaddons-${PVCUT}*:5
+       =kde-frameworks/ki18n-${PVCUT}*:5
+       =kde-frameworks/kiconthemes-${PVCUT}*:5
+       =kde-frameworks/kio-${PVCUT}*:5
+       =kde-frameworks/kitemviews-${PVCUT}*:5
+       =kde-frameworks/kjobwidgets-${PVCUT}*:5
+       =kde-frameworks/knotifications-${PVCUT}*:5
+       =kde-frameworks/kparts-${PVCUT}*:5
+       =kde-frameworks/kservice-${PVCUT}*:5
+       =kde-frameworks/ktextwidgets-${PVCUT}*:5
+       =kde-frameworks/kunitconversion-${PVCUT}*:5
+       =kde-frameworks/kwidgetsaddons-${PVCUT}*:5
+       =kde-frameworks/kwindowsystem-${PVCUT}*:5
+       =kde-frameworks/kxmlgui-${PVCUT}*:5
+       =kde-frameworks/solid-${PVCUT}*:5
+       app-text/docbook-xml-dtd:4.2
+       virtual/libintl
+       !libressl? ( dev-libs/openssl:0 )
+       libressl? ( dev-libs/libressl )
+       X? (
+               >=dev-qt/qtx11extras-${QTMIN}:5
+               x11-libs/libICE
+               x11-libs/libSM
+               x11-libs/libX11
+               x11-libs/libxcb
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-qt/designer-${QTMIN}:5
+       test? ( >=dev-qt/qtconcurrent-${QTMIN}:5 )
+       X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+       =kde-frameworks/kinit-${PVCUT}*:5
+       =kde-frameworks/kitemmodels-${PVCUT}*:5
+       >=dev-qt/qtxml-${QTMIN}:5
+"
+
+RESTRICT+=" test"
+
+src_prepare() {
+       ecm_src_prepare
+       if ! use handbook; then
+               sed -e "/kdoctools_install/ s/^/#DONT/" -i CMakeLists.txt || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake_use_find_package X X11)
+       )
+
+       ecm_src_configure
+}

Reply via email to